#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
using System.Collections.ObjectModel;


#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace SimpleSample
{
    public class Column : ContentPage
    {
		SfChart chart;
        public Column()
        {
            Title = "Column Series";
			Content = new StackLayout()
			{
			    Padding  = new Thickness(0,15,0,0),
				Children = { GetChart() }
			};
        }

		public SfChart GetChart()
        {
            chart = new SfChart
            {
               PrimaryAxis = new CategoryAxis 
				{
					LabelPlacement = LabelPlacement.BetweenTicks,
					LabelsIntersectAction = AxisLabelsIntersectAction.MultipleRows,
					LabelStyle = new ChartAxisLabelStyle
					{
						LabelsPosition = AxisElementPosition.Outside,
					},
					ShowMajorGridLines = true,
					MajorGridLineStyle = new ChartLineStyle
					{
						StrokeWidth = Device.OnPlatform(0.25,1,1)
					},
					Interval = 1,
				},

               SecondaryAxis = new NumericalAxis
				{
					ShowMajorGridLines =false,
					LabelStyle = new ChartAxisLabelStyle
					{
						LabelsPosition = AxisElementPosition.Outside,
					},
					Title = new ChartAxisTitle
					{
						Text = "Steps Taken"
					}
				},

				Legend = new ChartLegend
				{
					Orientation = ChartOrientation.Horizontal,
					DockPosition = LegendPlacement.Top,
					IsIconVisible = true,
					IsVisible = true,
					ToggleSeriesVisibility = true,
				},
            };
			chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.Series.Add(new ColumnSeries
            {
				Label = "Steps Taken",
				ItemsSource = GetSelectionData(),
            });
            return chart;
        }

		public static ObservableCollection<ChartDataPoint> GetSelectionData()
		{
			var datas = new ObservableCollection<ChartDataPoint>
			{
				new ChartDataPoint("Apr 15", 42000),
				new ChartDataPoint("Apr 16", 29567),
				new ChartDataPoint("Apr 17", 32111),
				new ChartDataPoint("Apr 18", 23000),
				new ChartDataPoint("Apr 19", 15000),
				new ChartDataPoint("Apr 20", 83),
				new ChartDataPoint("Apr 21", 63)
			};
			return datas;
		}
    }
}